package com.bonus.canteen.core.menu.dto;

import cn.hutool.core.text.CharSequenceUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class MenuDishesLabelPageDTO implements Serializable {
   @ApiModelProperty("菜品标签id")
   private Long labelId;
   @ApiModelProperty("标签名称")
   private String labelName;

   public String getLabelName() {
      return CharSequenceUtil.isBlank(this.labelName) ? null : "%" + this.labelName + "%";
   }

   public Long getLabelId() {
      return this.labelId;
   }

   public void setLabelId(final Long labelId) {
      this.labelId = labelId;
   }

   public void setLabelName(final String labelName) {
      this.labelName = labelName;
   }
}
